"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NoSuchElementError_1 = require("../NoSuchElementError");
function findIndexOrThrow(predicate, supply = () => new NoSuchElementError_1.default()) {
    const index = this.findIndex(predicate);
    if (index === -1) {
        throw supply();
    }
    return index;
}
exports.default = findIndexOrThrow;
Array.prototype.findIndexOrThrow = findIndexOrThrow;
//# sourceMappingURL=findIndexOrThrow.js.map